Subject: Re: linux-next: xfs tree build failure

From: Christoph Hellwig <[email-masked]>
Date: Thu, 6 Nov 2008 10:27:53 -0500

On Thu, Nov 06, 2008 at 07:47:54AM +1100, Dave Chinner wrote:
> > > I think it's probably the only solution - we need to wait until
> > > the I_LOCK bit is cleared from the inode and AFAICT wait_on_inode()
> > > is the only way to do it.
> > 
> > Any resolution?
> 
> I was waiting on a comment from Christoph. I'll cc him directly this
> time ;)

What comment do you expect from me?  The fix looks correct, but at some
point you should probably run all these exports past Al to get another
review.  Especially as he's doing major work in this area currently.